Network error when trying hotmail.com

Bug #545751 reported by ahmed_mrm@hotmail.com on 2010-03-24
110
This bug affects 23 people
Affects Status Importance Assigned to Milestone
empathy (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: empathy

MSN live account (hotmail.com) always gives network error when trying to connect and pidgin works OK

ProblemType: Bug
Architecture: i386
Date: Wed Mar 24 07:51:45 2010
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: empathy 2.28.1.1-0ubuntu1
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic-pae
SourcePackage: empathy
Uname: Linux 2.6.31-20-generic-pae i686

Omer Akram (om26er) wrote :

ahmed, can you please tell us if this is also an issue if you any other protocol, or it only happens with MSN?

Changed in empathy (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

I'm having the same issue today (yesterday was ok. I can't really tell if I did upgrade empathy yesterday, simply don't remember). Other protocols (GTalk, Facebook, IRC) work fine, except for Yahoo, which insists on "connecting", but doesn't return any error at all.

I'm using Empathy 2.29.93

yea it happens always with msn, i didnt try other services but sametime works ok when msn doesnt

Omer Akram (om26er) wrote :

Seems to me like a network problem, as the original reporter is using empathy 2.28 and the Bruno is using empathy 2.29.93
@Ahmed can you please try to install the development release of empathy from this ppa https://launchpad.net/~telepathy/+archive/ppa and see if you are able to connect and also was MSN working before a few days back?

slade991 (slade-) wrote :

I got the same bug since yesterday.
I try the ppa (2.30.0.1) but still the same.
Network error only on msn (gtalk and facebook work well.)
try on emesene and it work well.

slade991 (slade-) wrote :

Forgot to say : i'm on 10.04

Xorrito Del Bosque (xorrito) wrote :

same error, facebook, gtalk work but not live. (msn) i heard microsoft changed their protocol, might this be it? also using lucid.

I'm having the same problem with MSN and Facebook (gmail, yahoo, and another xmpp account are all working fine)..and it also seemed to start soon after upgrading to 10.4. So far, I've tried completely removing empathy and reinstalling it.

I see this in the mission-control debug logs when trying to connect to my msn account....

Message: Failed to get item from keyring: No matching results
Message: Falling back to looking in the keyfile
....this is repeated twice.....
Warning: request_connection_cb: RequestConnection failed: org.freedesktop.DBus.Python.KeyError: Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/dbus/service.py", line 702, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.6/dist-packages/telepathy/server/connmgr.py", line 69, in RequestConnection
    conn = self._protos[proto](self, parameters)
  File "/usr/lib/python2.6/dist-packages/butterfly/connection.py", line 113, in __init__
    telepathy.server.Connection.__init__(self, 'msn', account, 'butterfly')
  File "/usr/lib/python2.6/dist-packages/telepathy/server/conn.py", line 82, in __init__
    _Connection.__init__(self, bus_name, object_path)
  File "/usr/lib/pymodules/python2.6/dbus/service.py", line 480, in __init__
    self.add_to_connection(conn, object_path)
  File "/usr/lib/pymodules/python2.6/dbus/service.py", line 571, in add_to_connection
    self._fallback)
KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/MY ACCOUNT IS HERE': there is already a handler"

P.S.. I'm using Empathy 2.30.1

P.P.S. I can log into my msn account with pidgen.

Brian Curtis (bcurtiswx) wrote :

@Craig: Seems like this may be an error with the keyring. Have you tried deleting the account and re-adding it?

Yes. I just tried it again to double check, and I'm still seeing the same error in the logs. I also tried "completely removing" the application and reinstalling it from the PPA.

Not sure if the problems are related, but I'm also unable to connect to my Facebook account via Empathy 2.30.1, which also works in Pidgin. I can send you the gabble logs too if it would help.

#telepathy ppa
deb http://ppa.launchpad.net/telepathy/ppa/ubuntu lucid main
deb-src http://ppa.launchpad.net/telepathy/ppa/ubuntu lucid main

In addition to the messages from my mission-control logs (post #9), I'm also seeing the following messages in the butterfly logs...

butterfly/mailnotification-DEBUG: 05/07/2010 10:58:13.24198: Initialized
stderr-ERROR: 05/07/2010 10:58:13.37594: /usr/lib/python2.6/dist-packages/butterfly/handle.py:58: DeprecationWarning: object.__new__() takes no parameters
stderr-ERROR: 05/07/2010 10:58:13.37594: instance = object.__new__(cls, connection, *args)
butterfly/handle-INFO: 05/07/2010 10:58:13.37733: New Handle <ButterflyContactHandle id=1 <email address hidden>'>
butterfly/connection-INFO: 05/07/2010 10:58:13.37910: Connection to the account <email address hidden> created
butterfly/connection-ERROR: 05/07/2010 14:13:19.736140: Failed to create Connection
butterfly/connection-ERROR: 05/07/2010 14:18:13.276314: Failed to create Connection
butterfly/connection-ERROR: 05/07/2010 14:32:24.462842: Failed to create Connection
......the last line repeats about 30 times.......

Brian Curtis (bcurtiswx) wrote :

@Craig: I would recommend not using the PPA but instead using what's default in ubuntu. You will need to completely remove your current empathy (use --purge if you're doing ti via command line, or completely remove is using synaptic). Disable the PPA. Reload and install empathy from the ubuntu repositories.

Thanks Brain. I tried that, and it fixed my Facebook account after I also reinstalled the Ubuntu version of all the telepathy extensions as well (butterfly, gabble, haze, etc.). However, the MSN account still won't connect. I checked the logs, and I'm seeing the same messages I saw in the PPA version. I tried removing and recreating the account from the Ubuntu version as well (which I was surprised to see persist after a complete removal of the PPA version).

Tiago Neiva (tneiva) wrote :

Something happened recently, because I'm also having this problem with msn.
I have 10.04, upgraded it from 9.10.

In empathy gmail and facebook work, msn doesn't.
In aMSN msn works.

Bjorn (bjoern-friberg) wrote :

I found a temporary solution on ubuntu forums that worked for me.
if i type the following command in the terminal:
killall telepathy-butterfly

i then can go offline and back online, and empathy then connects fine for me.

I've got that problem while running in runlevel 1, switching to 5 solved it, i was using 1 cause i've had to reinstall nvidia drivers from rescue mode, then i did start graphics just with sudo start gdm

Michael Gefen (gefenm11) wrote :
Download full text (3.7 KiB)

I was unable to get connected using Google Talk
(empathy:1642): tp-glib/proxy-DEBUG: noc_idle_context_invoke: NameOwnerChanged(org.freedesktop.Telepathy.Connection.gabble.jabber.gefenm_40gmail_2ecom_2f3403b84a, :1.107 -> )
(empathy:1642): tp-glib/proxy-DEBUG: noc_idle_context_invoke: NameOwnerChanged(org.freedesktop.Telepathy.Connection.gabble.jabber.gefenm_40gmail_2ecom_2f3403b84a, :1.107 -> )
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_init: 0x1877540
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_constructor: Connecting to StatusChanged and ConnectionError
(empathy:1642): tp-glib/proxy-DEBUG: tp_proxy_borrow_interface_by_id: 0x1877540: org.freedesktop.Telepathy.Connection DBusGProxy is 0x1985c30
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_constructor: Calling GetStatus
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_constructor: Returning 0x1877540
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_call_when_ready: arranging callback later
(empathy:1642): tp-glib/proxy-DEBUG: noc_idle_context_invoke: NameOwnerChanged(org.freedesktop.Telepathy.Connection.gabble.jabber.gefenm_40gmail_2ecom_2f3403b84a, -> :1.107)
(empathy:1642): tp-glib/proxy-DEBUG: noc_idle_context_invoke: NameOwnerChanged(org.freedesktop.Telepathy.Connection.gabble.jabber.gefenm_40gmail_2ecom_2f3403b84a, -> :1.107)
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_got_status_cb: 0x1877540
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_got_status_cb: 0x1877540: Initial status is 1
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_status_changed: 0x1877540: -1 -> 1 because 0
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_status_changed: 0x1877540: 1 -> 2 because 2
(empathy:1642): tp-glib/proxy-DEBUG: tp_proxy_invalidate: 0x1877540: Network error
(empathy:1642): tp-glib/proxy-DEBUG: tp_proxy_signal_connection_proxy_invalidated: 0x1898900: TpProxy 0x1877540 invalidated (I have 0x1877540): Network error
(empathy:1642): tp-glib/proxy-DEBUG: tp_proxy_signal_connection_proxy_invalidated: 0x1978e40: TpProxy 0x1877540 invalidated (I have 0x1877540): Network error
(empathy:1642): tp-glib/handles-DEBUG: _tp_connection_clean_up_handle_refs: 0x1877540
(empathy:1642): empathy-DEBUG: dispatcher_connection_invalidated_cb: Error: Network error
(empathy:1642): tp-glib/connection-DEBUG: cwr_invalidated: enter
(empathy:1642): empathy-DEBUG: connection_ready_cb: Error: Network error
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_dispose: 0x1877540
(empathy:1642): tp-glib/proxy-DEBUG: tp_proxy_dispose: 0x1877540
(empathy:1642): tp-glib/connection-DEBUG: tp_connection_finalize: 0x1877540
(empathy:1642): tp-glib/proxy-DEBUG: tp_proxy_finalize: 0x1877540
(empathy:1642): tp-glib/proxy-DEBUG: noc_idle_context_invoke: NameOwnerChanged(org.freedesktop.Telepathy.Connection.gabble.jabber.gefenm_40gmail_2ecom_2f3403b84a, :1.107 -> )
(empathy:1642): tp-glib/proxy-DEBUG: noc_idle_context_invoke: NameOwnerChanged(org.freedesktop.Telepathy.Connection.gabble.jabber.gefenm_40gmail_2ecom_2f3403b84a, :1.107 -> )
(empathy:1642): tp-glib/accounts-DEBUG: _tp_account_set_connection: Failed to create a new TpConnection: org.freedeskt...

Read more...

I've got the problem again , this time in runlevel 5 , after resuming from hibernation

The trick of #killall telepathy-butterfly worked for me, from a fresh install of Ubuntu 10.04 64

The $killall telepathy-butterfly trick works for me as well. Thanks for sharing Bjorn!

As an aside....I installed the PPA versions of empathy, telepathy, et. al. on my laptop, and my MSN account would connect fine, but my Facebook account failed (vs. Facebook working and MSN failing in the Ubuntu repository versions).

I noticed after switching to the Ubuntu repository versions a couple weeks ago, that my MSN account would randomly work for a while....then stop working for a while. That's partly why I waiting so long to update the thread. I'm sorry to say I was never really paying attention when it happened. I'm not sure if it was happening after reboots or what.

JAdshead (jads) wrote :

Problem still exists.. I'm hitting it too using Ubuntu 10.04 amd64.
..and the temporary workaround (killall telepathy-butterfly) works here too.

Ruben Verweij (ruben-verweij) wrote :

I can confirm this as well on maverick using version 2.31.90-0ubuntu1 of Empathy and version 0.5.13-1 of telepathy-butterfly. Killing telepathy-butterfly and reconnecting works for me as well.

Changed in empathy (Ubuntu):
status: Incomplete → Confirmed
xErberuS (solar-nospheratu) wrote :

killall telepathy-butterfly

this solved the probelm for me :)

RavanH (ravanhagen) wrote :

So I find this issue is still valid today... Any outlook on a fix ?

valkyr (locki) wrote :

I have just experienced this bug.

MSN had been working fine for weeks, then suddenly today (a few days after changing my account information - wasn't sure whether that was connected or not) I get the "Network error" message.

telepathy-butterfly wasn't running on my system, so I restarted and then MSN is working again.

valkyr (locki) wrote :

Ah right, "telepathy-butterfly" /was/ running, it just didn't show up in the killall auto-completion as a process.

Funnyplay (ubuntu-funnyplay) wrote :

The killall works, but I have to go to the console and do it every time I start my computer. Isn't there a way to actually fix it in telepathy-butterfly/empathy?

Ioannis Vranos (cppdeveloper) wrote :

For a permanent solution, remove the package telepathy-butterfly, and have only the package telepathy-haze installed.

Ioannis Vranos (cppdeveloper) wrote :

... and reboot.

well the fix is already in maverick and lucid so no need to remove just
update your system

On Fri, Oct 22, 2010 at 6:02 PM, Ioannis Vranos
<email address hidden>wrote:

> ... and reboot.
>
> --
> Network error when trying hotmail.com
> https://bugs.launchpad.net/bugs/545751
> You received this bug notification because you are subscribed to empathy
> in ubuntu.
>
> Status in “empathy” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: empathy
>
> MSN live account (hotmail.com) always gives network error when trying to
> connect and pidgin works OK
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Mar 24 07:51:45 2010
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/empathy
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Package: empathy 2.28.1.1-0ubuntu1
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> ProcVersionSignature: Ubuntu 2.6.31-20.58-generic-pae
> SourcePackage: empathy
> Uname: Linux 2.6.31-20-generic-pae i686
>
>
>

Ioannis Vranos (cppdeveloper) wrote :

On Fri, 2010-10-22 at 14:01 +0000, Omer Akram wrote:
> well the fix is already in maverick and lucid so no need to remove just
> update your system

I do not think this bug is related to that fix.

--
Ioannis Vranos

http://www.cpp-software.net

Omer Akram (om26er) wrote :

ya i guess but the reply was to the comment before mine

On Fri, Oct 22, 2010 at 7:19 PM, Ioannis Vranos
<email address hidden>wrote:

> On Fri, 2010-10-22 at 14:01 +0000, Omer Akram wrote:
> > well the fix is already in maverick and lucid so no need to remove just
> > update your system
>
>
> I do not think this bug is related to that fix.
>
>
>
> --
> Ioannis Vranos
>
> http://www.cpp-software.net
>
> --
> Network error when trying hotmail.com
> https://bugs.launchpad.net/bugs/545751
> You received this bug notification because you are subscribed to empathy
> in ubuntu.
>
> Status in “empathy” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: empathy
>
> MSN live account (hotmail.com) always gives network error when trying to
> connect and pidgin works OK
>
> ProblemType: Bug
> Architecture: i386
> Date: Wed Mar 24 07:51:45 2010
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/empathy
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> Package: empathy 2.28.1.1-0ubuntu1
> ProcEnviron:
> SHELL=/bin/bash
> LANG=en_US.UTF-8
> ProcVersionSignature: Ubuntu 2.6.31-20.58-generic-pae
> SourcePackage: empathy
> Uname: Linux 2.6.31-20-generic-pae i686
>
>
>

@Omer Akram, I think you are confusing this bug with another telepathy/papyon bug that was corrected yesterday. Please note that this error has not have any fix committed at all.

@ivrannos, This is a workaround, yes, but you lose some advantages of butterfly like video chat and the ability to login to multiple computers at the same time.

Ioannis Vranos (cppdeveloper) wrote :

Jonathan, I concur that it needs to be fixed, soon if possible.

emas (emas80spam) wrote :

Hi, I also have this problem, really annoying, it was still there in Ubuntu 10.04.
Every time my note comes back from suspend, Empathy cannot log into msn account, while gmail looks fine.
I will attach a log file after lunch time :-)

A kill of telepathy-butterfly solves.

Wael Nasreddine (emxyzptlk) wrote :

Same here...

A kill of telepathy-butterfly solves.

Mariano Malo (mmalojm) wrote :

ubuntu meerkat...

no msn working here... no error but stays in "connecting" forever

killall telepathy-butterfly only restarts the issue...

anny suggestions?

Thankyou very much!

Mariano Malo (mmalojm) wrote :

and facebook allways shows network error

Omer Akram (om26er) wrote :

thanks everybody for commenting in this bug report and sorry for the inconvenience of hotmail not working. but the title that this bug report have made every seeing the same error think if the underlying issue is the same. empathy gives network error so so many different reasons and it is not possible for us to identify who is facing which issue. so if you are facing any such issue still in ubuntu 10.10 please open a new bug report for empathy and also attach your telepathy-butterfly logs to that bug report (you can get those logs from the empathy debug window). we are again sorry for the inconvenience.

Changed in empathy (Ubuntu):
status: Confirmed → Won't Fix
Boletis Georgios (mpoletis) wrote :

Well, this actually solved the problem permanently:

Remove telepathy-butterfly and its dependencies.

sudo killall telepathy-butterfly
sudo dpkg --purge telepathy-butterfly
sudo apt-get install telepathy-haze

Reconfigure your MSN connections and attempt to activate them. You should experience no additional issues.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions